Skip to main content
GET
/
v3
/
credits
/
txs
/
{hash}
Decode Payout Transaction
curl --request GET \
  --url https://api.polynode.dev/v3/credits/txs/{hash} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.polynode.dev/v3/credits/txs/{hash}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.polynode.dev/v3/credits/txs/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx_hash": "0xb3b589e87145a7a61324bca2a241c891fd488cf0615e5c2d7a3121b28698d7a6",
  "block_number": 90017147,
  "timestamp": 1783730716,
  "type": "maker_rebate",
  "recipients": 400,
  "total_amount": "187330.184700",
  "events": [
    {
      "amount": "3714.480000",
      "log_index": 2043,
      "recipient": "0x204f72f35326db932158cba6adff0b9a1da95e14",
      "timestamp": 1783730716,
      "token": "pusd",
      "type": "maker_rebate",
      "tx_hash": "0xb3b589e87145a7a61324bca2a241c891fd488cf0615e5c2d7a3121b28698d7a6",
      "block_number": 90017147
    }
  ]
}
Turn one payout transaction hash into its full typed breakdown: every recipient and amount in the batch.

Credit types

Every credits endpoint accepts these values in type/types:
ValueProgram
rewardLiquidity rewards
yieldYield on balances
maker_rebateMaker rebates
taker_rebateTaker rebates
referral_rewardReferral rewards
types accepts a comma-separated set (types=maker_rebate,taker_rebate) or all.

Example

curl "https://api.polynode.dev/v3/credits/txs/0xb3b589e87145a7a61324bca2a241c891fd488cf0615e5c2d7a3121b28698d7a6" \
  -H "x-api-key: $POLYNODE_API_KEY"

Authorizations

x-api-key
string
header
required

Path Parameters

hash
string
required

Transaction hash.

Response

Success